<?php
/**
 * @package     CMGiftCard
 * @subpackage  com_cmgiftcard
 * @copyright   Copyright (C) 2016-2024 CMExension
 * @license     GNU General Public License version 2 or later
 */

defined('JPATH_BASE') or die();

use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormField;

/**
 * Form field for showing invoice template's tags.
 *
 * @package     CMGiftCard
 * @subpackage  com_cmgiftcard
 * @since       1.0.0
 */
class JFormFieldCMGCInvoiceTags extends FormField
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  1.0.0
	 */
	protected $type = 'CMGCInvoiceTags';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   1.0.0
	 */
	protected function getInput()
	{
		$html = '<p>' . Text::_('COM_CMGIFTCARD_CONFIG_INVOICE_TEMPLATE_TAGS_DESC') . '</p>';
		$html .= '<ul>';
		$html .= '<li>{customer_name}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_NAME') . '</li>';
		$html .= '<li>{customer_email}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_EMAIL') . '</li>';
		$html .= '<li>{customer_address_1}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_ADDRESS_1') . '</li>';
		$html .= '<li>{customer_address_2}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_ADDRESS_2') . '</li>';
		$html .= '<li>{customer_address_3}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_ADDRESS_3') . '</li>';
		$html .= '<li>{customer_postal_box}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_POSTAL_BOX') . '</li>';
		$html .= '<li>{customer_city}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_CITY') . '</li>';
		$html .= '<li>{customer_state}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_STATE') . '</li>';
		$html .= '<li>{customer_postal_code}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_POSTAL_CODE') . '</li>';
		$html .= '<li>{customer_country}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_CUSTOMER_COUNTRY') . '</li>';
		$html .= '<li>{order_number}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_ORDER_NUMBER') . '</li>';
		$html .= '<li>{order_date}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_ORDER_DATE') . '</li>';
		$html .= '<li>{payment_method}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_PAYMENT_METHOD') . '</li>';
		$html .= '<li>{transaction_id}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_TRANSACTION_ID') . '</li>';
		$html .= '<li>{order_items}: ' . Text::_('COM_CMGIFTCARD_INVOICE_TEMPLATE_ORDER_ITEMS') . '</li>';
		$html .= '</ul>';

		return $html;
	}

	/**
	 * Method to get the field label markup.
	 *
	 * @return  string  The field label markup.
	 *
	 * @since   1.0.0
	 */
	protected function getLabel()
	{
	}
}
